# what it's called on pypi
%global pypi_name trio
# what it's imported as
%global libname %{pypi_name}
# name of egg info directory
%global eggname %{pypi_name}
# package name fragment
%global pkgname %{pypi_name}

%global common_description %{expand:
The Trio project's goal is to produce a production-quality, permissively
licensed, async/await-native I/O library for Python.  Like all async libraries,
its main purpose is to help you write programs that do multiple things at the
same time with parallelized I/O.  A web spider that wants to fetch lots of
pages in parallel, a web server that needs to juggle lots of downloads and
websocket connections at the same time, a process supervisor monitoring
multiple subprocesses... that sort of thing.  Compared to other libraries, Trio
attempts to distinguish itself with an obsessive focus on usability and
correctness.  Concurrency is complicated; we try to make it easy to get things
right.}


Name:       python3-%{pkgname}
Version:    0.20.0
Release:    %mkrel 1
Summary:    A friendly Python library for async concurrency and I/O
License:    MIT or ASL 2.0
Group:      Development/Python
URL:        https://pypi.org/project/trio/
Source0:    %{pypi_name}-%{version}.tar.xz
Patch0:     0001-Skip-tests-failing-with-pytest-6.2.2.patch
BuildArch:  noarch
%{?python_provide:%python_provide python3-%{pkgname}}

%description %{common_description}


%prep
%setup -qn %{pypi_name}-%{version}
%apply_patches
rm -rf %{eggname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkgname}
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Aug 07 2022 tex - 0.20.0-1pclos2022
- new version
